Subject: bug#23897: 25.1.50; Argument at point not being highlighted in eldoc hints

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Jul 2016 22:39:31 +0300

> Date: Fri, 08 Jul 2016 12:25:19 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
>   (format "%s" (concat (propertize "01234" 'face 'bold) "56789"))
>     => #("0123456789" 0 10 (face bold))
> 
> Clearly, the "0 10" part is not what is expected.

I think I fixed this now, please test (commit d8a9c45 on master).

(The problem was that the bugfix in 0644e6f uncovered another bug,
which was hidden by the one that commit fixed.)

A problem in Isearch was also mentioned by Mark Oteiza in the context
of this bug, but I see no details for it.  Can someone please tell
what was the problem, so I could verify it no longer exists after the
fix?

Thanks.